%global pkg_name        Chart-Plot-Canvas
%global pkg_version     0.03
%global rpm_pkg_version 0.03
%global rpm_pkg_release 1.n0i.3

Summary:       Plot two dimensional data in an Tk Canvas
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic 2.0
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/P/PE/PERRAD/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: rpm-build-reb00t-perl
BuildRequires: perl(ExtUtils::MakeMaker)

%if %{!?_without_test:1}0
BuildRequires: perl(Chart::Plot) >= 0.11
BuildRequires: perl(Tk)
%endif


%description
Chart::Plot::Canvas - Plot two dimensional data in an Tk Canvas. This
package overloads Chart::Plot and supplies a new method 'canvas' that
returns a Tk Canvas equivalent to GD::Image returned by the method 'draw'
of Chart::Plot.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_eol}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Sat Oct 20 2007 Marius Feraru <altblue@n0i.net> - 0.03-1.n0i.3
- version 0.03

* Wed Jun 06 2007 Marius Feraru <altblue@n0i.net> - 0.02-2.n0i.2
- spec file (re)created using N0i::CPAN::RPMizer/1.14.8
- rebuild on perl 5.8.8

* Tue Aug 09 2005 Marius Feraru <altblue@n0i.net> 0.02-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7
